%define pgk_version 1149d3e
Name:          indy_mock
Version:       0.0
Release:       %mkrel 12
Summary:       A set of mock classes to mimic the invokedynamic APIs in Java 7 
Group:         Development/Java
License:       CPL, GPL, LGPL, MIT
Url:           https://github.com/jruby/indy_mock
# git clone git://github.com/jruby/indy_mock.git
Source0:       https://download.github.com/jruby-indy_mock-%{pgk_version}.tar.gz
Patch0:	       java-source-target-version.patch
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
This package contains dynamic language support provided directly by the
Java core class libraries and virtual machine.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
A set of mock classes to mimic the invokedynamic APIs in Java 7 

This package contains javadoc for %{name}.

%prep
%setup -q -n jruby-indy_mock-%{pgk_version}
%patch -P 0 -p1

%build
export CLASSPATH=$(build-classpath junit4):build/classes
ant -Djavadoc.windowtitle="Indy Mock API" test jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/indy_mock.jar %{buildroot}%{_javadir}/indy_mock-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
  ln -sf indy_mock-%{version}.jar jsr292-mock.jar
)

mkdir -p %{buildroot}%{_javadocdir}/jruby-indy_mock-%{version}
cp -a dist/javadoc/* %{buildroot}%{_javadocdir}/jruby-indy_mock-%{version}
ln -sf jruby-indy_mock-%{version} %{buildroot}%{_javadocdir}/jruby-indy_mock

%files
%{_javadir}/indy_mock-%{version}.jar
%{_javadir}/indy_mock.jar
%{_javadir}/jsr292-mock.jar

%files javadoc
%{_javadocdir}/jruby-indy_mock-%{version}
%{_javadocdir}/jruby-indy_mock



%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.0-12.mga10
+ Revision: 2127682
- Rebuild for patchN deprecation

* Sat Mar 26 2022 umeabot <umeabot> 0.0-11.mga9
+ Revision: 1828836
- Mageia 9 Mass Rebuild

* Sat Dec 05 2020 luigiwalser <luigiwalser> 0.0-10.mga8
+ Revision: 1653117
- set java source and target version to 1.8 to fix build

* Tue Feb 11 2020 umeabot <umeabot> 0.0-9.mga8
+ Revision: 1490913
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.0-8.mga7
+ Revision: 1262627
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 daviddavid <daviddavid> 0.0-7.mga6
+ Revision: 983133
- First rebuild of the java stack
- fix BR junit4 now junit

* Mon Feb 08 2016 umeabot <umeabot> 0.0-6.mga6
+ Revision: 942719
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0-5.mga5
+ Revision: 744018
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0-4.mga5
+ Revision: 680507
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0-3.mga4
+ Revision: 506085
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.0-2.mga3
+ Revision: 354398
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 03 2011 dmorgan <dmorgan> 0.0-1.mga2
+ Revision: 162450
+ rebuild (emptylog)

* Sat Jun 11 2011 gil <gil> 0.0-0.mga2
+ Revision: 103616
- imported package indy_mock

